Bug 162159 - redzone mismatch followed by bad kernel paging request
redzone mismatch followed by bad kernel paging request
Status: CLOSED DUPLICATE of bug 73733
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-30 10:11 EDT by Kyle Ellrott
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-01 18:11:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Ellrott 2005-06-30 10:11:13 EDT
Description of problem:
slab bio: redzone mismatch in slabp, then kernel crash


Version-Release number of selected component (if applicable):
Kernel 2.6.11-1.1381_FC5 

How reproducible:
First time to see this problem.  Nothing special was done, just let the machine
run for a few days.

  
Additional info:


From the /var/log/messages


Jun 28 02:34:20 localhost kernel: slab bio: redzone mismatch in slabp ddfb5000,
objp ddfb5510, bufctl 0xfffe
Jun 28 02:34:20 localhost kernel: Redzone: 0x170fc2a5/0x6b0fc2a5.
Jun 28 02:34:20 localhost kernel: Last user: [<c0155323>](mempool_create+0xec/0x106)
Jun 28 02:34:20 localhost kernel: 000: f3 3d 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a
5a 5a
Jun 28 02:34:20 localhost kernel: 010: f3 3d 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a
5a 5a
Jun 28 02:34:20 localhost kernel: slab bio: redzone mismatch in slabp ddfb5000,
objp ddfb5564, bufctl 0xfffe
Jun 28 02:34:20 localhost kernel: Redzone: 0x6b0fc2a5/0x170fc2a5.
Jun 28 02:34:20 localhost kernel: Last user: [<c0155323>](mempool_create+0xec/0x106)
Jun 28 02:34:20 localhost kernel: 000: f3 3d 5a 5a 5a 5a 5a 6b 5a 5a 5a 5a 5a 5a
5a 6b
Jun 28 02:34:20 localhost kernel: 010: f3 3d 5a 5a 5a 5a 5a 6b 5a 5a 5a 5a 5a 5a
5a 5a

Continues to do this every five minutes till Jun 30th

Jun 30 00:39:00 localhost kernel: slab bio: redzone mismatch in slabp ddfb5000,
objp ddfb5564, bufctl 0xfffe
Jun 30 00:39:00 localhost kernel: Redzone: 0x6b0fc2a5/0x170fc2a5.
Jun 30 00:39:00 localhost kernel: Last user: [<c0155323>](mempool_create+0xec/0x106)
Jun 30 00:39:00 localhost kernel: 000: f3 3d 5a 5a 5a 5a 5a 6b 5a 5a 5a 5a 5a 5a
5a 6b
Jun 30 00:39:00 localhost kernel: 010: f3 3d 5a 5a 5a 5a 5a 6b 5a 5a 5a 5a 5a 5a
5a 5a
Jun 30 00:39:10 localhost kernel: Unable to handle kernel paging request at
virtual address 41fed9ec
Jun 30 00:39:10 localhost kernel:  printing eip:
Jun 30 00:39:10 localhost kernel: c015cb74
Jun 30 00:39:10 localhost kernel: *pde = 00000000
Jun 30 00:39:10 localhost kernel: Oops: 0002 [#1]
Jun 30 00:39:10 localhost kernel: Modules linked in: parport_pc lp parport
autofs4 rfcomm l2cap bluetooth sunrpc ipt_REJECT ipt_state ip_conntrack
iptable_filter ip_tables reiserfs dm_mod video button battery ac nvidia(U) md5
ipv6 ohci1394
ieee1394 ohci_hcd ehci_hcd i2c_nforce2 i2c_core shpchp snd_intel8x0
snd_ac97_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore
snd_page_alloc forcedeth floppy ext3 jbd sata_nv libata sd_mod scsi_mod
Jun 30 00:39:10 localhost kernel: CPU:    0
Jun 30 00:39:10 localhost kernel: EIP:    0060:[<c015cb74>]    Tainted: P      VLI
Jun 30 00:39:10 localhost kernel: EFLAGS: 00010016   (2.6.11-1.1381_FC5)
Jun 30 00:39:10 localhost kernel: EIP is at free_block+0x7f/0x12e
Jun 30 00:39:10 localhost kernel: eax: 41fed9ec   ebx: dd7f6000   ecx: 00000007
  edx: ddfca000
Jun 30 00:39:10 localhost kernel: esi: ddfed9e0   edi: dd7f61a4   ebp: ddfed9e0
  esp: c1430ee8
Jun 30 00:39:10 localhost kernel: ds: 007b   es: 007b   ss: 0068
Jun 30 00:39:10 localhost kernel: Process events/0 (pid: 4, threadinfo=c1430000
task=ddfdfaa0)
Jun 30 00:39:10 localhost kernel: Stack: badc0ded 00000246 00000001 dd334040
00000002 00000007 ddfea47c 00000000
Jun 30 00:39:10 localhost kernel:        ddfea47c ddfea46c 00000007 ddfed9e0
c015d866 ddfed9e0 00000001 ddfeda68
Jun 30 00:39:10 localhost kernel:        c17e5d7c c015d990 000ffecc 00000282
ddfdfaa0 f3479cc0 000ffecc f3479cc0
Jun 30 00:39:10 localhost kernel: Call Trace:
Jun 30 00:39:10 localhost kernel:  [<c015d866>] drain_array_locked+0x43/0x9e
Jun 30 00:39:10 localhost kernel:  [<c015d990>] cache_reap+0xcf/0x400
Jun 30 00:39:10 localhost kernel:  [<c0138e82>] worker_thread+0x198/0x457
Jun 30 00:39:10 localhost kernel:  [<c037133d>] schedule+0x31d/0x7b3
Jun 30 00:39:10 localhost kernel:  [<c011be46>] __wake_up_common+0x39/0x59
Jun 30 00:39:10 localhost kernel:  [<c015d8c1>] cache_reap+0x0/0x400
Jun 30 00:39:10 localhost kernel:  [<c011be01>] default_wake_function+0x0/0xc
Jun 30 00:39:10 localhost kernel:  [<c0138cea>] worker_thread+0x0/0x457
Jun 30 00:39:10 localhost kernel:  [<c013f50b>] kthread+0x87/0x8b
Jun 30 00:39:10 localhost kernel:  [<c013f484>] kthread+0x0/0x8b
Jun 30 00:39:10 localhost kernel:  [<c01012ad>] kernel_thread_helper+0x5/0xb
Jun 30 00:39:10 localhost kernel: Code: 74 c2 8b 44 24 18 8b 54 24 14 8b 3c 82
8d 87 00 00 00 40 c1 e8 0c c1 e0 05 8b 15 30 55 48 c0 8b 5c 10 1c 8b 13 8b 43 04
89 42 04 <89> 10 c7 03 00 01 10 00 c7 43 04 00 02 20 00 89 f8 2b 43 0c 31
Comment 1 Dave Jones 2005-07-01 18:11:09 EDT

*** This bug has been marked as a duplicate of 73733 ***

Note You need to log in before you can comment on or make changes to this bug.